<style>
.documents{
  background-color: #F5F6F8;
  padding-bottom: 110px;
  padding-top: 60px;
}
.documents_title{
  font-size: 36px;
  line-height: 1;
  color: #353556;
  padding-bottom: 55px;
  text-align: center;
}

.documents_list_ct{
  display: flex;
  align-items: center;
  justify-content: center;
}
.documents_list_ct li{
  list-style: none;
  padding: 12px;
  height: 475px;
  width: 320px;
  box-sizing: border-box;
  position: relative;
  background-color: #fff;
  margin-right: 70px;
  box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.1607843137254902);
}
.documents_list_ct li:last-child{
  margin-right: 0px;
}
.documents_list_ct li .document_item_pic_ct{
  /*height: 173px;*/
  background-color: #eee;
  display: flex;
  align-items: center;
  justify-content: center;
}
.documents_list_ct li .document_item_pic_ct img{
  display: block;
  max-width: 100%;
}
.documents_list_ct li .document_item_tag{
  color: #717188;
  font-size: 16px;
  line-height: 1;
  padding-top: 20px;
  padding-bottom: 15px;
}
.documents_list_ct li .document_item_title{
  font-size: 24px;
  line-height: 1;
  padding-top: 37px;
  padding-bottom: 20px;
  font-weight: bold;
}
.documents_list_ct li .document_item_content{
  color: #717188;
  font-size: 16px;
  line-height: 24px;
}
.documents_list_ct li .view_document{
  display: flex;
  position: absolute;
  bottom: 20px;
  left: 10px;
  right: 10px;
  padding: 10px 0px;
  /*background-color: #ddd;*/
  color: #0D5EE5;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
}
.documents_list_ct li .view_document:hover{
  /*background-color: #eee;*/
  opacity: 0.9;
}
.documents_list_ct li .view_document .view_document_icon{
  display: block;
  width: 20px;
  height: 15px;
  background-image: url('../assets/images/查看更多@2x.png');
  background-repeat: no-repeat;
  background-size: contain;
}
.service_list>li{
  list-style: none;
  box-shadow: none;
  height: auto;
  line-height: 24px;
  padding: 11px 0px;
  width: 100%;
  font-size: 16px;
  display: flex;
  align-items: center;
}
.list_circle{
  border-radius: 10px;
  width: 6px;
  height: 6px;
  background-color: #3B72F6;
  margin-right: 6px;
}
.service_list>li a{
  color: #3B72F6;
  font-weight: bold;
  cursor: default;
}
@media (max-width: 800px){
  .documents_list_ct{
    flex-wrap: wrap;
  }
  .documents_list_ct li{
    width: 100%;
    box-sizing: border-box;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    height: auto;
  }
  .documents_list_ct li .document_item_pic_ct{
    overflow: hidden;
  }
  .documents_list_ct li .document_item_tag{
    font-size: 13px;
  }
  .documents_list_ct li .view_document{
    position: relative;
    padding: 0px;
    top: auto;
    bottom: auto;
    left: auto;
    margin-left: 10px;
    margin-top: 10px;
  }
  .documents_list_ct li .document_item_title{
    font-size: 18px;
  }
  .documents_title{
    font-size: 20px;
    padding-bottom: 30px;
  }
  .documents{
    padding-top: 30px;
  }
  .documents_list_ct li:last-child{
    margin-right: 10px;
  }
}
</style>
<template>
  <div class="documents">
    <a name="提供的服务"></a>
    <h2 class="documents_title">区块链开发服务</h2>
    <ul class="documents_list_ct">

      <li v-for="row, index in data" :key="index" @mouseover="show(index, 'next')" @mouseout="show(index, 'pre')">
        <div class="document_item_pic_ct">
          <img :src="row.src" :alt="row.src_alt">
        </div>
        <!-- <div class="document_item_tag">
          产业区块链综合平台
        </div> -->
        <h3 class="document_item_title">{{ row[row.cur].title }}</h3>
        <div class="document_item_content" v-html="row[row.cur].description">
          结合行业生态与发展现状，通过区块链
          不可篡改、数据共享等特点和智能合约、
          数据隔离等多种技术，解决行业中参与
          多方互不信任、数据安全无法保障、
          数据孤岛等痛点问题。
        </div>
        <!-- <a target="_blank" class="view_document" href="https://github.com/eosforce/eosforce">
          <span>{{ lang.data['View More'] }}</span>
          <span class="view_document_icon">
          </span>
        </a> -->
      </li>

    </ul>
  </div>
</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
export default {
  data () {
    return {
      lang
    }
  },

  props: {
    data: {
      type: Array,
      default () {
        return [
          {
            cur: 'pre',
            src: 'https://www.shuyuchain.com/static/b3ce1a0a4f461361f1b8a2cedab70a45.png',
            src_alt: '区块链系统开发',
            pre: {
              title: '产业区块链开发综合平台',
              description: `
                结合行业生态与发展现状，通过<b>区块链开发技术为企业构建专用联盟链</b>，利用不可篡改、数据隔离等开发技术，解决行业中参与多方互不信任、数据安全无法保障、数据孤岛等痛点问题。
              `
            },
            next: {
              title: '服务内容',
              description: `
              <ul class="service_list">
                <li>
                  <div class="list_circle">
                  </div>
                  <a href="javascript::">产业生态重构</a>
                </li>
                <li>
                  <div class="list_circle">
                  </div>
                  <a href="javascript::">企业战略设计</a>
                </li>
                <li>
                  <div class="list_circle">
                  </div>
                    <a href="javascript::">产业联盟平台构建</a>
                </li>
              </ul>
              `
            }
          },

          {
            cur: 'pre',
            src: 'https://www.shuyuchain.com/static/135d3d7355a7ef5b50ed69dea5fdfc44.png',
            src_alt: '联盟链开发',
            pre: {
              title: '可定制的区块链服务平台',
              description: `
                为区块链开发者提供开箱即用的高性能、低延时、高隐私、高可拓展区块链开发服务框架，并支持<strong>区块链开发者</strong>自定义共识插件服务。
              `
            },
            next: {
              title: '服务内容',
              description: `
              <ul class="service_list">
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">多链跨链技术服务</a>
                </li>
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">可插拔共识插件</a>
                </li>
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">智能合约管理平台</a>
                </li>
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">完备开发者工具</a>
                </li>
              </ul>
              `
            }
          },

          {
            cur: 'pre',
            src: 'https://www.shuyuchain.com/static/753b3513db7c410e92388b11b80522c1.png',
            src_alt: '联盟链开发联盟',
            pre: {
              title: '一站式区块链解决方案',
              description: `
                通过<b>定制化的区块链开发、联盟链开发技术</b>解决企业、机构业务需求，帮助企业搭建<strong>区块链、联盟链平台</strong>，提供专业的一站式区块链开发解决方案。
              `
            },
            next: {
              title: '服务内容',
              description: `
              <ul class="service_list">
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">区块链方案咨询</a>
                </li>
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">联盟链平台搭建</a>
                </li>
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">数据隐私保护</a>
                </li>
                <li>
                  <div class="list_circle"> </div>
                  <a href="javscript:;">智能合约开发</a>
                </li>
              </ul>
              `
            }
          },
        ]
      }
    }
  },

  methods: {
    show (index, _key) {
      this.data[index]['cur'] = _key;
    }
  }
}
</script>